<html>
<head>
<title>OGRE: Ogre::TextAreaOverlayElement::CmdSpaceWidth Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1TextAreaOverlayElement.html">TextAreaOverlayElement</a>::<a class="el" href="classOgre_1_1TextAreaOverlayElement_1_1CmdSpaceWidth.html">CmdSpaceWidth</a></div>
<h1>Ogre::TextAreaOverlayElement::CmdSpaceWidth Class Reference</h1><!-- doxytag: class="Ogre::TextAreaOverlayElement::CmdSpaceWidth" --><!-- doxytag: inherits="Ogre::ParamCommand" -->Command object for setting the width of a space.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreTextAreaOverlayElement_8h-source.html">OgreTextAreaOverlayElement.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::TextAreaOverlayElement::CmdSpaceWidth:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1TextAreaOverlayElement_1_1CmdSpaceWidth-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TextAreaOverlayElement_1_1CmdSpaceWidth.html#56e3a2dea50d7a6a0cac1851ad28cb0f">doGet</a> (const void *target) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TextAreaOverlayElement_1_1CmdSpaceWidth.html#a8f24a768cfbcf4a32887a34f3dc786e">doSet</a> (void *target, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;val)</td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Command object for setting the width of a space. 
<p>
<dl class="see" compact><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a> </dd></dl>

<p>Definition at line <a class="el" href="OgreTextAreaOverlayElement_8h-source.html#l00139">139</a> of file <a class="el" href="OgreTextAreaOverlayElement_8h-source.html">OgreTextAreaOverlayElement.h</a>.</p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="56e3a2dea50d7a6a0cac1851ad28cb0f"></a><!-- doxytag: member="Ogre::TextAreaOverlayElement::CmdSpaceWidth::doGet" ref="56e3a2dea50d7a6a0cac1851ad28cb0f" args="(const void *target) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> Ogre::TextAreaOverlayElement::CmdSpaceWidth::doGet           </td>
          <td>(</td>
          <td class="paramtype">const void *&nbsp;</td>
          <td class="paramname"> <em>target</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Implements <a class="el" href="classOgre_1_1ParamCommand.html#e47ea550693403baebbcde11c59e074f">Ogre::ParamCommand</a>.</p>

</div>
</div><p>
<a class="anchor" name="a8f24a768cfbcf4a32887a34f3dc786e"></a><!-- doxytag: member="Ogre::TextAreaOverlayElement::CmdSpaceWidth::doSet" ref="a8f24a768cfbcf4a32887a34f3dc786e" args="(void *target, const String &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::TextAreaOverlayElement::CmdSpaceWidth::doSet           </td>
          <td>(</td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>val</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Implements <a class="el" href="classOgre_1_1ParamCommand.html#d69d7e3ca3959f0ab2e84137f621ca6a">Ogre::ParamCommand</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreTextAreaOverlayElement_8h-source.html">OgreTextAreaOverlayElement.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:54:39 2008
</p>
</body>
</html>
